Pkgcheck Warnings

  • All Versions
    • UnstableOnly
      for arch: [ amd64 ], all versions are unstable: [ 2020.4.304, 2022.2.1.16993-r1 ]
    • UnstableOnly
      for arch: [ x86 ], all versions are unstable: [ 2020.4.304 ]
  • 2022.2.1.16993-r1
    • DroppedKeywords
      x86
    • ExcessiveLineLength
      excessive line length (over 120 characters) on lines: 12, 13, 14, 64, 78, 80, 81, 82, 83
  • 2020.4.304
    • IndirectInherits
      multibuild: indirect inherit usage: 'MULTIBUILD_VARIANT', line 142
    • RequiredUseDefaults
      profile: 'default/linux/amd64/17.0/x32' failed REQUIRED_USE: ( abi_x86_32 || abi_x86_64 )

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.